Package com.trilead.ssh2.packets

# Class PacketOpenSessionChannel

java.lang.Object
com.trilead.ssh2.packets.PacketOpenSessionChannel

public class PacketOpenSessionChannel extends Object
PacketOpenSessionChannel.

## Constructor Summary

Constructors
Constructor
Description
`PacketOpenSessionChannel(byte[] payload, int off, int len)`
`PacketOpenSessionChannel(int channelID, int initialWindowSize, int maxPacketSize)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PacketOpenSessionChannel

public PacketOpenSessionChannel(int channelID, int initialWindowSize, int maxPacketSize)

### PacketOpenSessionChannel

public PacketOpenSessionChannel(byte[] payload, int off, int len) throws IOException

Throws:
  `IOException`

## Method Details

### getPayload

public byte[] getPayload()